org.apache.ignite.internal.visor.shutdown

## Class VisorShutdownPolicyTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorShutdownPolicyTaskArg,VisorShutdownPolicyTaskResult>
    - - org.apache.ignite.internal.visor.shutdown.VisorShutdownPolicyTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorShutdownPolicyTaskArg>,VisorShutdownPolicyTaskResult>

    @GridInternal
     @GridVisorManagementTask
    public class VisorShutdownPolicyTask
    extends VisorOneNodeTask<VisorShutdownPolicyTaskArg,VisorShutdownPolicyTaskResult>

Shutdown policy task.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorShutdownPolicyTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorShutdownPolicyTaskArg,VisorShutdownPolicyTaskResult>` `job(VisorShutdownPolicyTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorShutdownPolicyTask

    public VisorShutdownPolicyTask()

### Method Detail

#### job

    protected VisorJob<VisorShutdownPolicyTaskArg,VisorShutdownPolicyTaskResult> job(VisorShutdownPolicyTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorShutdownPolicyTaskArg,VisorShutdownPolicyTaskResult,VisorShutdownPolicyTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021